Bug 587963 - yum: Program received signal SIGSEGV
yum: Program received signal SIGSEGV
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-01 15:41 EDT by Rui Matos
Modified: 2014-01-21 18:14 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rui Matos 2010-05-01 15:41:02 EDT
Description of problem:

$ sudo gdb python
GNU gdb (GDB) Fedora (7.1-16.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/python...(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install python-2.6.4-25.fc13.i686
(gdb) r /usr/bin/yum update
Starting program: /usr/bin/python /usr/bin/yum update
[Thread debugging using libthread_db enabled]
Loaded plugins: presto, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package gdb.i686 0:7.1-18.fc13 set to be updated
---> Package qt.i686 1:4.6.2-16.fc13 set to be updated
---> Package qt-sqlite.i686 1:4.6.2-16.fc13 set to be updated
---> Package qt-x11.i686 1:4.6.2-16.fc13 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================
 Package            Arch          Version                    Repository       Size
===================================================================================
Updating:
 gdb                i686          7.1-18.fc13                fedora          2.3 M
 qt                 i686          1:4.6.2-16.fc13            fedora          3.5 M
 qt-sqlite          i686          1:4.6.2-16.fc13            fedora           50 k
 qt-x11             i686          1:4.6.2-16.fc13            fedora           17 M

Transaction Summary
===================================================================================
Install       0 Package(s)
Upgrade       4 Package(s)

Total size: 23 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test

Program received signal SIGSEGV, Segmentation fault.
0x004b1782 in allocate_and_init (dtv=<value optimized out>, the_map=0x80fbb80, 
    module=2) at dl-tls.c:534
534	  memset (__mempcpy (newp, map->l_tls_initimage, map->l_tls_initimage_size),

(gdb) bt
#0  0x004b1782 in allocate_and_init (dtv=<value optimized out>, the_map=
    0x80fbb80, module=2) at dl-tls.c:534
#1  tls_get_addr_tail (dtv=<value optimized out>, the_map=0x80fbb80, module=2)
    at dl-tls.c:742
#2  0x004b1c5a in ___tls_get_addr (ti=0x12dfbc) at dl-tls.c:767
#3  0x00121189 in matchpathcon_init_prefix (path=
    0x9e5aee8 "/etc/selinux/targeted/contexts/files/file_contexts", subset=0x0)
    at matchpathcon.c:291
#4  0x0012164a in matchpathcon_init (path=
    0x9e5aee8 "/etc/selinux/targeted/contexts/files/file_contexts")
    at matchpathcon.c:304
#5  0x00d59619 in rpmtsSetup (ts=0x99da058, okProbs=0x0, ignoreSet=
    RPMPROB_FILTER_NONE) at transaction.c:1265
#6  rpmtsRun (ts=0x99da058, okProbs=0x0, ignoreSet=RPMPROB_FILTER_NONE)
    at transaction.c:1468
#7  0x00f54fad in rpmts_Run (s=0x93bcf5c, args=0xa1d8edc, kwds=0x0)
    at rpmts-py.c:556
#8  0x0361b468 in PyCFunction_Call () from /usr/lib/libpython2.6.so.1.0
#9  0x035daa2d in PyObject_Call () from /usr/lib/libpython2.6.so.1.0
#10 0x03672a95 in PyEval_CallObjectWithKeywords ()
   from /usr/lib/libpython2.6.so.1.0
#11 0x035f6a25 in ?? () from /usr/lib/libpython2.6.so.1.0
#12 0x035daa2d in PyObject_Call () from /usr/lib/libpython2.6.so.1.0
#13 0x03677046 in PyEval_EvalFrameEx () from /usr/lib/libpython2.6.so.1.0
#14 0x036789eb in PyEval_EvalFrameEx () from /usr/lib/libpython2.6.so.1.0
#15 0x036798dc in PyEval_EvalCodeEx () from /usr/lib/libpython2.6.so.1.0
#16 0x03677a70 in PyEval_EvalFrameEx () from /usr/lib/libpython2.6.so.1.0
#17 0x036789eb in PyEval_EvalFrameEx () from /usr/lib/libpython2.6.so.1.0
#18 0x036798dc in PyEval_EvalCodeEx () from /usr/lib/libpython2.6.so.1.0
#19 0x03677a70 in PyEval_EvalFrameEx () from /usr/lib/libpython2.6.so.1.0
#20 0x036798dc in PyEval_EvalCodeEx () from /usr/lib/libpython2.6.so.1.0
#21 0x03677a70 in PyEval_EvalFrameEx () from /usr/lib/libpython2.6.so.1.0
#22 0x036798dc in PyEval_EvalCodeEx () from /usr/lib/libpython2.6.so.1.0
#23 0x03679a04 in PyEval_EvalCode () from /usr/lib/libpython2.6.so.1.0
#24 0x03694cfc in ?? () from /usr/lib/libpython2.6.so.1.0
#25 0x03694dc3 in PyRun_FileExFlags () from /usr/lib/libpython2.6.so.1.0
#26 0x03696351 in PyRun_SimpleFileExFlags () from /usr/lib/libpython2.6.so.1.0
#27 0x03696c02 in PyRun_AnyFileExFlags () from /usr/lib/libpython2.6.so.1.0
#28 0x036a378d in Py_Main () from /usr/lib/libpython2.6.so.1.0
#29 0x080485c8 in main ()
(gdb) 


Version-Release number of selected component (if applicable):
yum-3.2.27-3.fc13.noarch
python-2.6.4-25.fc13.i686
rpm-4.8.0-14.fc13.i686
libselinux-2.0.94-1.fc13.i686
glibc-2.11.90-20.i686

How reproducible:
1. Always that I run $ sudo yum update

Steps to Reproduce:
1. Just run $ sudo yum update
Comment 1 Panu Matilainen 2010-05-03 03:05:17 EDT
It's crashing on TLS initialization deep inside glibc - looks like a glibc issue to me.
Comment 2 Andreas Schwab 2010-06-10 08:17:31 EDT
This is most likely a memory corrution problem.
Comment 3 seth vidal 2010-06-10 08:52:52 EDT
and back to rpm. yum is more or less out of it when 'running transaction test' is displayed.
Comment 4 Bug Zapper 2011-06-02 10:38:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:00:53 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.